CREATE TABLE gl_coa_map_segment_rules_int (
    GROUP_NUMBER                   NUMBER(18, 0) ,
    ROW_NUMBER                     NUMBER(18, 0) ,
    MAPPING_NAME                   VARCHAR2(132)     NOT NULL,
    FROM_CHART_OF_ACCOUNTS_CODE    VARCHAR2(120)     NOT NULL,
    TO_CHART_OF_ACCOUNTS_CODE      VARCHAR2(120)     NOT NULL,
    DESCRIPTION                    VARCHAR2(160) ,
    IMPORT_ACTION_CODE             VARCHAR2(120)     NOT NULL,
    TARGET_SEGMENT_CODE            VARCHAR2(120) ,
    MAPPING_METHOD_CODE            VARCHAR2(120) ,
    TARGET_SEGMENT_VALUE           VARCHAR2(100) ,
    FIRST_SOURCE_SEGMENT_CODE      VARCHAR2(120) ,
    SECOND_SOURCE_SEGMENT_CODE     VARCHAR2(120) ,
    STATUS_CODE                    VARCHAR2(120) ,
    IMPORT_REQUEST_ID              NUMBER(18, 0) ,
    ERROR_MESSAGE                  VARCHAR2(4000),
    CREATED_BY                     VARCHAR2(256) ,
    CREATION_DATE                  TIMESTAMP(6)  ,
    LAST_UPDATE_DATE               TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    LAST_UPDATED_BY                VARCHAR2(256) ,
    LOAD_REQUEST_ID                NUMBER(18, 0) ,
    GROUP_NUMBER                   NUMBER(18, 0) ,
    ROW_NUMBER                     NUMBER(18, 0) ,
    MAPPING_NAME                   VARCHAR2(132)     NOT NULL,
    FROM_CHART_OF_ACCOUNTS_CODE    VARCHAR2(120)     NOT NULL,
    TO_CHART_OF_ACCOUNTS_CODE      VARCHAR2(120)     NOT NULL,
    DESCRIPTION                    VARCHAR2(160) ,
    IMPORT_ACTION_CODE             VARCHAR2(120)     NOT NULL,
    TARGET_SEGMENT_CODE            VARCHAR2(120) ,
    MAPPING_METHOD_CODE            VARCHAR2(120) ,
    TARGET_SEGMENT_VALUE           VARCHAR2(100) ,
    FIRST_SOURCE_SEGMENT_CODE      VARCHAR2(120) ,
    SECOND_SOURCE_SEGMENT_CODE     VARCHAR2(120) ,
    STATUS_CODE                    VARCHAR2(120) ,
    IMPORT_REQUEST_ID              NUMBER(18, 0) ,
    ERROR_MESSAGE                  VARCHAR2(4000),
    CREATED_BY                     VARCHAR2(256) ,
    CREATION_DATE                  TIMESTAMP(6)  ,
    LAST_UPDATE_DATE               TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    LAST_UPDATED_BY                VARCHAR2(256) ,
    LOAD_REQUEST_ID                NUMBER(18, 0) ,
    CONSTRAINT pk_gl_coa_map_segment_rules_int PRIMARY KEY (GROUP_NUMBER, ROW_NUMBER, GROUP_NUMBER, ROW_NUMBER)
);
